cupsctl(8)

NAME
cupsctl - konfiguriere cupsd.conf-Optionen

SYNOPSIS
cupsctl [ -E ] [ -U Benutzer ] [ -h Server[:Port] ] [ --[no-]debug-logging ] [ --[no-]remote-admin ] [ --[no-]remote-any ] [ --[no-]share-printers ] [ --[no-]user-cancel-any ] [ Name=Wert ]

BESCHREIBUNG
cupsctl aktualisiert die Datei cupsd.conf oder ermittelt aus ihr einen Server. Falls keine Änderungen erbeten wurden, werden die aktuellen Konfigurationsoptionen, jeweils eine pro Zeile, im Format »Name=Wert« auf die Standardausgabe geschrieben.

OPTIONEN
Die folgenden Optionen werden erkannt:

-E  Aktiviert Verschlüsselung bei der Verbindung mit dem Auftragsplaner (Scheduler).

-U Benutzername
    Legt einen alternativen Benutzernamen, der bei Authentifizierung mit dem Auftragsplaner verwandt werden soll, fest.

-h Server[:Port]
    Legt die Server-Adresse fest.

--[no-]debug-logging
    Aktiviert (Deaktiviert) das Protokollieren von Fehlersuchmeldungen in der Datei error_log.

--[no-]remote-admin
    Aktiviert (Deaktiviert) Administration aus der Ferne.

--[no-]remote-any
    Aktiviert (Deaktiviert) Drucken von beliebigen Adressen, z.B. aus dem Internet.

--[no-]share-printers
    Aktiviert (Deaktiviert) das gemeinsame Benutzen lokaler Drucker mit anderen Computern.

--[no-]user-cancel-any
    Ermöglicht Benutzern, Aufträge anderer Benutzer abzubrechen oder hindert sie daran.

BEISPIELE
Zeige die aktuellen Einstellungen an:

    cupsctl

Aktiviert Fehlersucheprotokollierung:

    cupsctl --debug-logging

Den aktuellen Fehlersucheprotokollierzustand abfragen:

    cupsctl | grep '^_debug_logging' | awk -F= '{print $2}'

Deaktiviere Druckerfreigabe:

    cupsctl --no-share-printers

BEKANNTE PROBLEME
Sie können die Direktiven »Listen« oder »Port« nicht mit cupsctl setzen.

SIEHE AUCH
cupsd.conf(5), cupsd(8),
CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.